:root {
    --offWhite: #FAEEE1;
    --lightPeach: #F9D7C4;
    --peach: #F9AF92;
    --darkPeach: #85554A;
    --lightBlue: #98BABD;
    --medBlue: #576D6F;
    --darkBlue: #2A3A3F;
}

/* Reset Code
   http://meyerweb.com/eric/tools/css/reset/
   v2.0 | 20110126
   License: none (public domain)
*/

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    display: block;
}

body {
    line-height: 1;
}

ol,
ul {
    list-style: none;
}

blockquote,
q {
    quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
    content: '';
    content: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

/*End Reset Code*/

/*Mobile Styles
Universal styles
*/

h1 {
    display: none;
}

h2 {
    font-family: "Lugrasimo", serif;
    font-size: 2rem;
    line-height: 2.5rem;
    text-align: center;
    font-weight: bold;
}

h3 {
    font-family: "Lugrasimo", serif;
    font-size: 1.2rem;
    line-height: 2rem;
    font-weight: bold;
}

p,
ul,
li {
    font-family: "Rubik", sans-serif;
    font-size: 1rem;
    line-height: 1.5rem;
    font-weight: 400;
}

strong {
    font-weight: bold;
}

.row {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    min-height: 80px;
}

.centered {
    text-align: center;
}

button {
    cursor: pointer;
    font-weight: bold;
}

/*Header*/
nav {
    background-color: var(--lightBlue);
    color: var(--darkPeach);
    box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.1);
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    max-width: 940px;
}

.navCard {
    position: relative;
    flex: 1;
    height: auto;
}

nav ul {
    width: 100%;
    list-style: none;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    margin: 0;
}

nav li {
    height: 50px;
}

.logo {
    max-width: 95px;
    height: auto;
    padding: 0 20px;
    margin-right: auto;
}

nav a {
    height: 100%;
    padding: 15px 30px 0 30px;
    text-decoration: none;
    display: flex;
    align-content: center;
    color: var(--darkPeach);
    font-weight: 800;
}

nav a:hover {
    color: var(--darkBlue);
    text-decoration: underline;
    text-decoration-color: var(--darkPeach);
}

#mobileNav {
    position: fixed;
    top: 0;
    right: 0;
    height: 100vh;
    width: 250px;
    z-index: 900;
    background-color: white;
    backdrop-filter: blur(8px);
    box-shadow: -10px 0 10px rgba(0, 0, 0, 0.1);
    display: none;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
}

#mobileNav li,
#mobileNav li a {
    width: 100%;
}

#menuButton {
    display: flex;
}

.hide-mobile {
    display: none;
}

#logo {
    margin-right: auto;
    padding: 0;
}

/*Introduction*/
.introContainer {
    background-color: var(--darkBlue);
    color: white;
    max-width: 940px;
    margin: 0 auto;
}

.successContainer {
    background-color: var(--darkBlue);
    color: white;
    max-width: 940px;
    margin: 0 auto;
    min-height: 75vh;
}

.introCard {
    position: relative;
    flex: 1;
    min-width: 330px;
    max-width: 440px;
    min-height: 150px;
    margin: 20px;
}

.pictureContainer {
    width: 150px;
    height: auto;
    padding: 5px;
}

#imgMe {
    width: 100%;
    height: auto;
}

/*About*/
.aboutContainer {
    background-color: var(--medBlue);
    color: white;
    max-width: 940px;
    margin: 0 auto;
}

.aboutCard {
    position: relative;
    flex: 1;
    min-width: 330px;
    max-width: 440px;
    min-height: 150px;
    margin: 10px;
}

/*Resume*/
.resumeContainer {
    background-color: var(--offWhite);
    color: var(--darkBlue);
    max-width: 940px;
    margin: 0 auto;
}

.resumeCard {
    position: relative;
    flex: 1;
    max-width: 940px;
    height: auto;
    margin: 20px;
}

.skillsCard {
    position: relative;
    flex: 1;
    min-width: 250px;
    max-width: 300px;
    height: auto;
    margin: 20px;
}

.iconContainer {
    width: 100px;
    height: auto;
}

.icon {
    width: 35%;
    height: auto;
}

.buttonContainer {
    max-width: 940px;
    margin: 0 auto;
}

.buttonRow {
    margin-top: 25px;
}

.buttonCard {
    position: relative;
    flex: 1;
    min-width: 330px;
    max-width: 440px;
    min-height: 50px;
    margin: 25px 10px;
}

button.resumeButton {
    background-color: var(--darkBlue);
    border: none;
    border-radius: 8px;
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    cursor: pointer;
}

/*Work*/
.workContainer {
    background-color: var(--medBlue);
    color: white;
    max-width: 940px;
    margin: 0 auto;
}

.workCard {
    position: relative;
    flex: 1;
    min-width: 330px;
    max-width: 440px;
    min-height: 150px;
    margin: 20px;
}

.displayContainer {
    width: 350px;
    height: auto;
    margin: auto;
}

.display {
    width: 100%;
    height: auto;
}

.workButtonContainer {
    margin: 20px;
}

button.workButton {
    background-color: var(--offWhite);
    border: none;
    border-radius: 8px;
    color: var(--darkBlue);
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    cursor: pointer;
}



/*Contact*/
.contactContainer {
    background-color: var(--offWhite);
    color: var(--darkBlue);
    max-width: 940px;
    margin: 0 auto;
    align-content: center;
}

.contactCard {
    position: relative;
    flex: 1;
    min-width: 330px;
    max-width: 440px;
    min-height: 150px;
    margin: 20px;
}

.formContainer {
    display: flex;
    align-items: center;
    justify-content: center;
}


#myForm {
    width: 320px;
    background-color: var(--lightBlue);
    color: white;
    border-radius: 4px;
    margin: 20px;
    padding: 20px;
}

.inputContainer {
    display: flex;
    flex-direction: column;
}

label {
    margin: 8px;
}

input {
    border: 2px solid white;
    border-radius: 4px;
    display: block;
    font-size: 12px;
    padding: 10px;
    cursor: pointer;
}

input:focus {
    outline: 0;
}

.inputContainer.success input,
.inputContainer.success textarea{
    border-color: green;
}

.inputContainer.error input {
    border-color: red;
}

textarea {
    min-height: 250px;
}

.formButton {
    padding: 10px;
    margin-top: 10px;
    width: 100%;
    color: white;
    background-color: var(--darkBlue);
    border: none;
    border-radius: 8px;
}

#nameError,
#phoneError,
#emailError,
#messageError {
    font-size: 9px;
}

.error {
    color: red;
    height: auto;
}

.mailSuccess {
    color: seagreen;
    line-height: 2.2rem;
    font-size: 2rem;
    font-weight: bold;
    margin: 15px;
}

/*Footer*/
.footerContainer {
    background-color: var(--darkBlue);
    color: var(--lightPeach);
    max-width: 940px;
    margin: 0 auto;
}

.footerCard {
    position: relative;
    flex: 1;
    max-width: 940px;
    height: auto;
    margin: 20px;
}

.footerIcon {
    align-items: center;
    margin: 18px;
}

.copyright {
    padding-bottom: 10px;
    color: white;
}

@media (max-width: 400px) {
    #mobileNav {
        width: 100%;
    }
}

/*Very Small Screen Sizes*/

@media only screen and (max-width: 400px) {
    
    .displayContainer {
        width: 320px;    
    }
    
    #myForm { 
        width: 280px;
        margin: 0;
    }
}

/*Tablet Styles
Universal styles
*/

@media only screen and (min-width: 800px) {
      body {
        background-color: #576d6f;
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='4' height='4' viewBox='0 0 4 4'%3E%3Cpath fill='%2398babd' fill-opacity='1' d='M1 3h1v1H1V3zm2-2h1v1H3V1z'%3E%3C/path%3E%3C/svg%3E");
    }

    h2,
    h3,
    ul,
    li,
    p,
    a {
        margin: 0 20px 5px 20px;
    }

    .displayContainer {
        width: 380px;
    }

}

@media only screen and (min-width: 940px) {
    .hide-mobile {
        display: flex;
    }

    #menuButton {
        display: none;
    }

    h2,
    h3,
    ul,
    li,
    p,
    a {
        margin: 0 20px 5px 20px;
    }

    .displayContainer {
        width: 420px;
    }
    
    #form {
        width: 350px;
    }

}